std::logical_and< _Tp > Struct Template Reference
Boolean Operations Classes
Inheritance diagram for std::logical_and< _Tp >:
[legend]

## Public Types

typedef _Tp | first_argument_type
typedef bool | result_type
typedef _Tp | second_argument_type

## Public Member Functions

bool | operator() (const _Tp &__x, const _Tp &__y) const

## Detailed Description

### template<typename _Tp>
struct std::logical_and< _Tp >

One of the Boolean operations functors.

Definition at line 497 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 121 of file stl_function.h.

typedef bool std::binary_function< _Tp , _Tp , bool >::result_type

inherited

`result_type` is the return type

Definition at line 127 of file stl_function.h.

typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 124 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h